Package org.sonatype.maven.polyglot

## Class PolyglotModelManager

- java.lang.Object
- - org.sonatype.maven.polyglot.PolyglotModelManager

- All Implemented Interfaces:
    `org.apache.maven.model.locator.ModelLocator`

      @Component(role=PolyglotModelManager.class)
      public class PolyglotModelManager
      extends java.lang.Object
      implements org.apache.maven.model.locator.ModelLocator

  Manages the mapping for polyglot model support.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.codehaus.plexus.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PolyglotModelManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMapping​(Mapping mapping)` |
    `org.apache.maven.model.io.ModelReader` | `getReaderFor​(java.util.Map<java.lang.String,​?> options)` |
    `org.apache.maven.model.io.ModelWriter` | `getWriterFor​(java.util.Map<java.lang.String,​?> options)` |
    `java.io.File` | `locatePom​(java.io.File dir)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          @Requirement
          protected org.codehaus.plexus.logging.Logger log

  - ### Constructor Detail

    - #### PolyglotModelManager

          public PolyglotModelManager()

  - ### Method Detail

    - #### addMapping

          public void addMapping​(Mapping mapping)

    - #### getReaderFor

          public org.apache.maven.model.io.ModelReader getReaderFor​(java.util.Map<java.lang.String,​?> options)

    - #### getWriterFor

          public org.apache.maven.model.io.ModelWriter getWriterFor​(java.util.Map<java.lang.String,​?> options)

    - #### locatePom

          public java.io.File locatePom​(java.io.File dir)

      Specified by:
        `locatePom` in interface `org.apache.maven.model.locator.ModelLocator`